# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "bat"
version = "0.22.1"
authors = ["David Peter <mail@david-peter.de>"]
build = "build.rs"
exclude = [
    "assets/syntaxes/*",
    "assets/themes/*",
]
description = "A cat(1) clone with wings."
homepage = "https://github.com/sharkdp/bat"
readme = "README.md"
categories = ["command-line-utilities"]
license = "MIT/Apache-2.0"
repository = "https://github.com/sharkdp/bat"

[profile.release]
lto = true
codegen-units = 1

[dependencies.ansi_colours]
version = "^1.1"

[dependencies.ansi_term]
version = "^0.12.1"

[dependencies.atty]
version = "0.2.14"
optional = true

[dependencies.bincode]
version = "1.0"

[dependencies.bugreport]
version = "0.5.0"
optional = true

[dependencies.bytesize]
version = "1.1.0"

[dependencies.clap]
version = "3.2.20"
features = [
    "std",
    "suggestions",
    "color",
    "wrap_help",
    "cargo",
]
optional = true
default-features = false

[dependencies.clircle]
version = "0.3"

[dependencies.console]
version = "0.15.1"

[dependencies.content_inspector]
version = "0.2.4"

[dependencies.dirs-next]
version = "2.0.0"
optional = true

[dependencies.encoding]
version = "0.2"

[dependencies.flate2]
version = "1.0"

[dependencies.git2]
version = "0.15"
optional = true
default-features = false

[dependencies.globset]
version = "0.4"

[dependencies.grep-cli]
version = "0.1.6"
optional = true

[dependencies.once_cell]
version = "1.13"

[dependencies.path_abs]
version = "0.5"
default-features = false

[dependencies.regex]
version = "1.6.0"
optional = true

[dependencies.semver]
version = "1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_yaml]
version = "0.8"

[dependencies.shell-words]
version = "1.1.0"
optional = true

[dependencies.syntect]
version = "5.0.0"
features = ["parsing"]
default-features = false

[dependencies.thiserror]
version = "1.0"

[dependencies.unicode-width]
version = "0.1.9"

[dependencies.walkdir]
version = "2.0"
optional = true

[dependencies.wild]
version = "2.1"
optional = true

[dev-dependencies.assert_cmd]
version = "2.0.4"

[dev-dependencies.predicates]
version = "2.1.1"

[dev-dependencies.serial_test]
version = "0.6.0"

[dev-dependencies.tempfile]
version = "3.3.0"

[dev-dependencies.wait-timeout]
version = "0.2.0"

[build-dependencies.clap]
version = "3.2.20"
optional = true

[features]
application = [
    "bugreport",
    "build-assets",
    "git",
    "minimal-application",
]
build-assets = [
    "syntect/yaml-load",
    "syntect/plist-load",
    "regex",
    "walkdir",
]
default = ["application"]
git = ["git2"]
minimal-application = [
    "atty",
    "clap",
    "dirs-next",
    "paging",
    "regex-onig",
    "wild",
]
paging = [
    "shell-words",
    "grep-cli",
]
regex-fancy = ["syntect/regex-fancy"]
regex-onig = ["syntect/regex-onig"]

[target."cfg(unix)".dev-dependencies.nix]
version = "0.24.2"
features = ["term"]
default-features = false
